#include <stdio.h>
#include <stdlib.h>

int main()
{
    int suma=0,broj=0,cifra=0,zbir=0;
    scanf("%i",&suma);
    zbir=0;
    broj=suma;
    while(broj!=0){
        cifra=suma%10;
        if (cifra==9){
            zbir=zbir+3;
            }
        else if (cifra==8){
            zbir=zbir+3;
            }
        else if (cifra==7){
            zbir=zbir+2;
            }
        else if (cifra==6){
            zbir=zbir+2;
            }
        else if (cifra==5){
            zbir=zbir+1;
            }
        else if (cifra==4){
            zbir=zbir+2;
            }
        else if (cifra==3){
            zbir=zbir+2;
            }
        else if (cifra==2){
            zbir=zbir+1;
            }
        else if (cifra==1){
            zbir=zbir+1;
            }
        else if (cifra==0){
            zbir=zbir+0;
            }
        suma=suma/10;
        broj=broj/10;
            }
    printf("%i",zbir);
    return 0;
}